actions: []
api_documentation: http://docs.ros.org/hydro/api/schunk_simulated_tactile_sensors/html
authors: Sven Schneider
brief: ''
bugtracker: ''
depends:
- geometry_msgs
- catkin
- rostest
- rospy
- schunk_sdh
depends_on:
- schunk_modular_robotics
- cob_controller_configuration_gazebo
description: "This package provides simulated tactile sensors for the Schunk Dextrous\n\
  \     Hand (SDH) which is mounted on the Care-O-bot arm. The node subscribes to\n\
  \     the Gazebo bumper topics of the SDH. It transforms the Gazebo feedback to\n\
  \     the &quot;tactile_data&quot; topic to provide the same tactile sensor interface\
  \ as\n     the schunk_sdh package.\n     \n     The following parameters can be\
  \ set:\n     * cells_x: The number of patches on the tactile sensor in the direction\n\
  \                perpendicular to the finger. Defaults to 6.\n     * cells_y: The\
  \ number of patches on the tactile sensor along the direction\n                of\
  \ the finger. Defaults to 14.\n     * output_range: The maximum output value of\
  \ one patch. Defaults to 3500.\n     * sensitivity: The change of output in one\
  \ patch per Newton. Defaults to\n                    350. The sensitivity can be\
  \ approximated by the following\n                    formula: S = output_range /\
  \ (measurement_range * cell_area)\n                    - The measurement range of\
  \ the tactile pads is 250 kPa (from\n                      the data sheet).\n  \
  \                  - The output range can be determined by experiment from the\n\
  \                      real SDH. It is about 3500.\n                    - The cell\
  \ area is the size of one patch. Length and width\n                      of the\
  \ area are determined by dividing the length/width\n                      of the\
  \ collision surface by the number of cells in the\n                      respective\
  \ direction.\n                      Important: In most cases this is NOT the cell\
  \ area that is\n                                 given in the data sheet!\n    \
  \ * filter_length: The length of the moving average filter which smoothes\n    \
  \                  the values from simulation. Defaults to 10.\n     \n     The\
  \ node subscribes to the following topics to receive data from the\n     simulation:\n\
  \     * thumb_2/state\n     * thumb_3/state\n     * finger_12/state\n     * finger_13/state\n\
  \     * finger_22/state\n     * finger_23/state\n     \n     The node publishes\
  \ the processed data on the following topic:\n     * tactile_data\n     \n     The\
  \ simulated bumper must obtain the collision data in the link that the\n     sensor\
  \ is attached to. This is achieved by setting the &quot;frameName&quot; property\n\
  \     in the gazebo_ros_bumper controller."
devel_jobs:
- devel-hydro-schunk_modular_robotics
doc_job: doc-hydro-schunk_modular_robotics
has_changelog_rst: true
license: LGPL
maintainer_status: developed
maintainers: Florian Weisshardt <fmw@ipa.fhg.de>
metapackages:
- schunk_modular_robotics
msgs: []
package_type: package
release_jobs:
- ros-hydro-schunk-simulated-tactile-sensors_sourcedeb
- ros-hydro-schunk-simulated-tactile-sensors_binarydeb_precise_amd64
- ros-hydro-schunk-simulated-tactile-sensors_binarydeb_precise_i386
- ros-hydro-schunk-simulated-tactile-sensors_binarydeb_quantal_amd64
- ros-hydro-schunk-simulated-tactile-sensors_binarydeb_quantal_i386
- ros-hydro-schunk-simulated-tactile-sensors_binarydeb_raring_amd64
- ros-hydro-schunk-simulated-tactile-sensors_binarydeb_raring_i386
repo_name: schunk_modular_robotics
repo_url: ''
srvs: []
timestamp: 1440688031.968195
url: http://ros.org/wiki/schunk_simulated_tactile_sensors
vcs: git
vcs_uri: https://github.com/ipa320/schunk_modular_robotics.git
vcs_version: hydro_release_candidate
